Std ViewFitAll/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 28: Line 28:


# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Std_ViewFitAll.svg|16px]] [[Std_ViewFitAll|Std ViewFitAll]]}} button.
#* Press the {{Button|[[Image:Std_ViewFitAll.svg|16px]] [[Std_ViewFitAll|Fit all]]}} button.
#* Select the {{MenuCommand|View → Standard views → [[Image:Std_ViewFitAll.svg|16px]] Fit all}} option from the menu.
#* Select the {{MenuCommand|View → Standard views → [[Image:Std_ViewFitAll.svg|16px]] Fit all}} option from the menu.
#* Select the {{MenuCommand|[[Image:Std_ViewFitAll.svg|16px]] Fit all}} option from the [[3D_view|3D view]] context menu.
#* Select the {{MenuCommand|[[Image:Std_ViewFitAll.svg|16px]] Fit all}} option from the [[3D_view|3D view]] context menu.
Line 37: Line 37:
==Программирование==
==Программирование==


<div class="mw-translate-fuzzy">
{{Emphasis|Смотрите так же:}} [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].
{{Emphasis|Смотрите так же:}} [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].
</div>


To change the view to 'fit all' use the {{incode|fitAll}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.
Use the {{incode|fitAll}} method of the View object to zoom to fit all.


{{Code|code=
{{Code|code=
import FreeCADGui
import FreeCADGui


FreeCADGui.ActiveDocument.ActiveView.fitAll()
view = FreeCADGui.ActiveDocument.ActiveView
view.fitAll()
}}
}}


Alternatively the {{incode|SendMsgToActiveView}} method of the FreeCADGui object can be used. This method is not available if FreeCAD is in console mode.
For the active view the {{incode|SendMsgToActiveView}} method of the FreeCADGui object can also be used.


{{Code|code=
{{Code|code=
import FreeCADGui
import FreeCADGui


FreeCADGui.SendMsgToActiveView('ViewFit')
FreeCADGui.SendMsgToActiveView("ViewFit")
}}
}}


Line 65: Line 68:
}}
}}


{{Std Base navi{{#translation:}}}}
{{Std_Base_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 18:15, 9 July 2024

Other languages:

Уместить всё

Расположение в меню
Вид → Стандартные виды‏‎ → Уместить всё
Верстаки
Все
Быстрые клавиши
V F
Представлено в версии
-
См. также
Уместить выделенное

Описание

The Std ViewFitAll command zooms and pans the camera so that all visible objects fit inside the active 3D view.

Применение

  1. There are several ways to invoke the command:
    • Press the Fit all button.
    • Select the View → Standard views → Fit all option from the menu.
    • Select the Fit all option from the 3D view context menu.
    • Select the Fit all option from the Mini-cube menu of the Navigation Cube.
    • Use the keyboard shortcut: V then F.

Программирование

Use the fitAll method of the View object to zoom to fit all.

import FreeCADGui

view = FreeCADGui.ActiveDocument.ActiveView
view.fitAll()

For the active view the SendMsgToActiveView method of the FreeCADGui object can also be used.

import FreeCADGui

FreeCADGui.SendMsgToActiveView("ViewFit")